post
https://api.instantpay.in/identity/aadhaarPanStatus
By calling a single API, verify the linking status between Aadhaar and PAN effortlessly with Instantpay's Aadhaar-PAN Linking Status API solution. This feature aids businesses in ensuring compliance and authenticity while reducing manual efforts and providing a quick and reliable means to confirm the linkage status between an individual's Aadhaar and PAN details.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Header Parameters
| Name | Type | Description | Mandatory (M) , Optional (O) | Provided by INSTANTPAY (Y/N) |
|---|---|---|---|---|
| X-Ipay-Auth-Code | String | Auth Code is "1" (Fixed) | M | Y |
| X-Ipay-Client-Id | String | Unique Client Id Provided by Instantpay | M | Y |
| X-Ipay-Client-Secret | String | Unique Client Secret Provided by Instantpay | M | Y |
| X-Ipay-Endpoint-Ip | String | End customer IP Address | M | Y |
Request Parameters
| Parameter Name | Type | Requirement | Description |
|---|---|---|---|
| pan | String | Mandatory | PAN number of User |
| aadharNumber | String | Mandatory | Encrypted Aadhar Number with algorithm aes-256-cbc |
| latitude | String | Mandatory | End Customer Latitude. |
| longitude | String | Mandatory | End Customer Longitude |
| externalRef | String | Mandatory | Your Unique Transaction id |
| consent | Enum (Y/N) | Mandatory | Consent should be accepted by customer |
Sample Request
curl --location 'https://api.instantpay.in/identity/ckyc' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data '{
"aadhaarNumber": " sampleAadhaar",
"pan": "ABCDE1234F",
"latitude" : {{$randomLatitude}},
"longitude" : {{$randomLongitude}},
"externalRef" : "{{random}}"
"consent": "Y"
}'GET /identity/aadhaarPanStatus HTTP/1.1
Host: api.instantpay.in
Content-Type: application/json
Content-Length: 209
{
"aadhaarNumber": " sampleAadhaar",
"pan": "ABCDE1234F",
"latitude" : {{$randomLatitude}},
"longitude" : {{$randomLongitude}},
"externalRef" : "{{random}}"
"consent": "Y"
}Response Parameters
| Parameter Name | Type | Description |
|---|---|---|
| statuscode | String | Instantpay Status Code |
| actcode | String | Action Code |
| status | Array | Status message |
| data | String | Response Data(if Present) |
| timestamp | String | Response time (YYYY-MM-DD HH:II:SS) |
| ipay_uuid | String | Request reference number |
| orderid | String | Transaction Id(if transaction otherwise it is null) |
| environment | String | Live/Sandbox |
{
"statuscode": "TXN",
"actcode": null,
"status": "Transaction Successful",
"data": {
"poolReferenceId": "1000987654321EZFJY",
"pool": {
"openingBal": "96176.11",
"amount": "1.18",
"closingBal": "96174.93"
},
"linkingStatus": "LINKED",
"linkingDescription": "Your PAN ABCDE1234F is already linked to given Aadhaar XXXXXXXXXXXX"
},
"timestamp": "2023-07-17 11:19:27",
"ipay_uuid": "h00099aa6fa7-83ab-43fe-934e-28789ae0cae9",
"orderid": "1000987654321EZFJY",
"environment": "SANDBOX",
"internalCode": null
}
